Skip to main content
GET
/
key_link
/
validation_keys
/
{keyId}
TypeScript
const response: Promise<FireblocksResponse<ValidationKeyDto>> = fireblocks.keyLinkBeta.getValidationKey(keyLinkBetaApiGetValidationKeyRequest);
{
  "keyId": "46a92767-5f93-4a46-9eed-f012196bb4fc",
  "publicKeyPem": "-----BEGIN PUBLIC KEY ...  END PUBLIC KEY-----",
  "daysTillExpired": 365,
  "enabled": false,
  "createdAt": 12345633
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

keyId
string
required

Response

The requested validation key data

keyId
string
required

External validation key id set by Fireblocks.

Required string length: 36
Example:

"46a92767-5f93-4a46-9eed-f012196bb4fc"

publicKeyPem
string
required

PEM encoded public key used for the validation.

Example:

"-----BEGIN PUBLIC KEY ... END PUBLIC KEY-----"

daysTillExpired
number
required
Required range: x >= 1
Example:

365

enabled
boolean
required

True if the validation key is enabled.

Example:

false

createdAt
number
required

Creation date (timestamp) in milliseconds.

Example:

12345633